%define orig_name lxrandr

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:           lxde-lxrandr
Summary:	monitor configuration utility for LXDE desktop environment
URL:		http://lxde.org/
License:	GPL
Version:	0.1.1
Release:	1
BuildArch:	i686
Group:		Graphical Desktop/LXDE
Source:		%{orig_name}-%{version}.tar.gz
Provides:	%{orig_name} = %{version}
Obsoletes:	%{orig_name} <= %{version}
#Automatically resolved build dependencies
BuildRequires: cairo-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glib
BuildRequires: glibc-devel
BuildRequires: gtk2+-devel
BuildRequires: pango-devel
BuildRequires: zlib-devel gawk

%description
Simple monitor config tool for LXDE (Lightweight X11 Desktop Environment) http://lxde.org/.
 
This is a very basic monitor config tool utilizing X RandR extension. It's a GUI frontend of the command line program xrandr. LXRandR can let you change the screen resolution on the fly. Besides, when you run lxrandr with external monitor connected, its GUI will change, and show you some quick options to get your projector working correctly.(This is quite common when you need to do a presentation by showing some slides.)

This tool doesn't aim to be a full xrandr frontend. It's utility for grandma, not for geeks. If you need the full power of X RandR extension, use xrandr (console) or grandr (GUI) and read some tutorials.

LXRandR only gives you some easy and quick options which are intuitive. It's very suitable for laptop users who frequently uses projectors or external monitor and just want to get their work done without reading a lot of "geek-centered" manuals or command line tutorials.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{orig_name}-%{version}

%build
%configure --disable-debug
touch -r po/Makefile po/stamp-it
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'


%files
%defattr(-,root,root)
%{_bindir}/
%{_datadir}/applications/
%{_datadir}/locale/
%{_mandir}/man1/lxrandr.1*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Dec 04 2009 Christian Metzen <metzench@ccux-linux.de> 0.1.1-1
- Version update
- rename package to lxde-lxrandr
* Tue Dec 23 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.1-1
- initial CCux package release
